/*
 * qfits example: querying FITS headers.
 */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "qfits.h"

int main(int argc, char * argv[])
{
    char    keyword[FITS_LINESZ+1] ;
    char *  value ;

	if (argc<2) {
		printf("use: %s <filename>\n", argv[0]);
		return 1 ;
	}
    /* Check this is indeed a FITS file */
    if (is_fits_file(argv[1])!=1) {
        printf("%s is not a FITS file\n", argv[1]);
        return -1 ;
    }

    printf("\n\n");
    printf("file %s loaded Ok\n", argv[1]);
    printf("provide keywords to look for in the main header\n"
           "(q to quit)\n"
           "\n");

    while (1) {
        printf("-----> keyword? ");
        scanf("%s", keyword);
        if (!strcmp(keyword, "q"))
            return 0 ;

        value = qfits_query_hdr(argv[1], keyword);
        if (value) {
            printf("found with value: %s\n", value);
        } else {
            printf("not found in header\n");
        }
    }
	return 0 ;
}

